GET
/api/v1/task/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/task/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "8251fb6e-b82e-4a4e-919f-6dcc5db6272e",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"name": "Document the transaction",
"description": "Document the transaction",
"priority": "high",
"position": 1,
"due_at": "2021-01-01 00:00:00",
"status": {
"uuid": "ed6bc046-82af-4308-839a-d151008a1b92",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"name": "Incomplete",
"colour": "#398898",
"position": 1,
"is_type_completed": false,
"is_archived": false,
"is_not_started": false
},
"taskable_type": "case",
"taskable": {
"uuid": "9c65f567-0f96-4c27-9045-ea636dfc2ed0",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "aaf7e2d2-56da-4058-93cf-63d593f62e2e",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": null,
"name": "Mortgage Plan",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00"
},
"review_at": "2026-10-27T15:44:13+00:00",
"assigned_to_uuids": [
"d2746d81-0ac0-4f86-bf21-201fa182e68d"
],
"group_uuids": [
"e2cb3f12-bfaf-44e4-a27d-c1c914683f75"
],
"completed_at": "2026-10-27T15:44:13+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "4dddfc6e-b0c5-4d17-97fa-67b0f94bf6a1",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-27T15:44:19+00:00",
"next_review_date": "2026-10-27T15:44:19+00:00",
"previous_review_date": "2026-10-27T15:44:19+00:00",
"anniversary_review_date": "2026-10-27T15:44:19+00:00",
"terms_of_business_at": "2026-10-27T15:44:19+00:00",
"client_agreement_at": "2026-10-27T15:44:19+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-27",
"last_interaction_at": "2026-10-27 15:44:19",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-27T15:44:19+00:00",
"out_of_office_until": "2026-10-27T15:44:19+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"task_board_uuid": "ffe05878-154c-4597-8b73-46ee6c471985",
"plans": {
"uuid": "299777a6-d3e8-440e-a970-c4e363c1bda1",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"opened_at": "2026-10-27T15:44:19+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-27T15:44:19+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-10-27",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-10-27",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-10-27T15:44:19+00:00",
"original_valued_at": "2026-10-26T15:44:19+00:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
}
},
"author": {
"uuid": "a9ee5c85-e328-4f05-81ea-4ee71b27d8af",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "97a5f63a-a7c9-4e65-98af-59bd893fe6d4",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"assigned_to": [
{
"uuid": "76fba36d-328e-400d-99f4-9bdecf49ee2d",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "97a5f63a-a7c9-4e65-98af-59bd893fe6d4",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"completed_at": "2021-01-01 00:00:00",
"completed_by": {
"uuid": "7df75b90-15d5-44bc-a47f-58ace7b9cbff",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "97a5f63a-a7c9-4e65-98af-59bd893fe6d4",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"workflow_task": {
"uuid": "09a3b316-7220-4b7a-a4f8-15079992900f",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"name": "Mortgage Review",
"description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
"priority": "high",
"position": 2,
"task_status": {
"uuid": "666fb622-a9ca-46ac-bf6f-988a1d72e14b",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Incomplete",
"colour": "#398898",
"position": 1,
"is_type_completed": false,
"is_archived": false,
"is_not_started": false
},
"offset_due_at_by": 2,
"visible_to_clients": true,
"auto_assign_assigned_adviser": true,
"auto_assign_assigned_administrator": true,
"auto_assign_clients": true,
"author": {
"uuid": "4dddfc6e-b0c5-4d17-97fa-67b0f94bf6a1",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-27T15:44:19+00:00",
"next_review_date": "2026-10-27T15:44:19+00:00",
"previous_review_date": "2026-10-27T15:44:19+00:00",
"anniversary_review_date": "2026-10-27T15:44:19+00:00",
"terms_of_business_at": "2026-10-27T15:44:19+00:00",
"client_agreement_at": "2026-10-27T15:44:19+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-27",
"last_interaction_at": "2026-10-27 15:44:19",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-27T15:44:19+00:00",
"out_of_office_until": "2026-10-27T15:44:19+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"participants": {
"uuid": "4dddfc6e-b0c5-4d17-97fa-67b0f94bf6a1",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-27T15:44:19+00:00",
"next_review_date": "2026-10-27T15:44:19+00:00",
"previous_review_date": "2026-10-27T15:44:19+00:00",
"anniversary_review_date": "2026-10-27T15:44:19+00:00",
"terms_of_business_at": "2026-10-27T15:44:19+00:00",
"client_agreement_at": "2026-10-27T15:44:19+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-27",
"last_interaction_at": "2026-10-27 15:44:19",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-27T15:44:19+00:00",
"out_of_office_until": "2026-10-27T15:44:19+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"tags": {
"uuid": "60fa4ac5-c7da-4322-8857-f84d517e6edc",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"location_uuid": "b6eed585-eede-4307-8578-9e3fb4401e2d",
"parent": {
"uuid": "853c00db-fc50-4e99-ad89-7b481f977c6f",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Mortgage Review",
"description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
"priority": "high",
"position": 2,
"offset_due_at_by": 2,
"visible_to_clients": true,
"auto_assign_assigned_adviser": true,
"auto_assign_assigned_administrator": true,
"auto_assign_clients": true,
"location_uuid": "945a0e10-1fe8-404c-b7bb-efe606c6d552",
"is_trigger_task": true
},
"trigger": {
"uuid": "853c00db-fc50-4e99-ad89-7b481f977c6f",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Mortgage Review",
"description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
"priority": "high",
"position": 2,
"offset_due_at_by": 2,
"visible_to_clients": true,
"auto_assign_assigned_adviser": true,
"auto_assign_assigned_administrator": true,
"auto_assign_clients": true,
"location_uuid": "945a0e10-1fe8-404c-b7bb-efe606c6d552",
"is_trigger_task": true
},
"trigger_tasks": {
"uuid": "853c00db-fc50-4e99-ad89-7b481f977c6f",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Mortgage Review",
"description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
"priority": "high",
"position": 2,
"offset_due_at_by": 2,
"visible_to_clients": true,
"auto_assign_assigned_adviser": true,
"auto_assign_assigned_administrator": true,
"auto_assign_clients": true,
"location_uuid": "945a0e10-1fe8-404c-b7bb-efe606c6d552",
"is_trigger_task": true
},
"sub_tasks": {
"uuid": "853c00db-fc50-4e99-ad89-7b481f977c6f",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Mortgage Review",
"description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
"priority": "high",
"position": 2,
"offset_due_at_by": 2,
"visible_to_clients": true,
"auto_assign_assigned_adviser": true,
"auto_assign_assigned_administrator": true,
"auto_assign_clients": true,
"location_uuid": "945a0e10-1fe8-404c-b7bb-efe606c6d552",
"is_trigger_task": true
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00"
},
"workflow": {
"uuid": "6d0372a0-c01c-48c5-9874-2cf7125bc0c5",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Pension Transfer",
"type": "simple",
"tasks_count": 5,
"network_locked": false
},
"is_trigger_task": true
},
"workflow": {
"uuid": "57b3ccb5-fa27-453d-9001-b1bbed8b6b4f",
"name": "New Client Onboarding"
},
"is_recurring": true,
"recurring_frequency": "weekly",
"recurring_last_run": "2026-01-01 00:00:00",
"recurring_next_run": "2026-01-01 00:00:00",
"custom_fields": [
{
"uuid": "5076a589-dec9-4728-bb9b-be4d24e35d10",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
}
]
}